#ifndef _CREATETRIGGERS_H
#define _CREATETRIGGERS_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

typedef struct _CREATE_TRIGGER_TABLE{
	char *sDriver;
	char *sServer;
	char *sUserName;
	char *sPassword;
	
	char *sDatabase;

	char *sSourceTableDBO;
	char *sSourceTableName;

	char *sTargetTableDBO;
	char *sTargetTableName;
} CREATE_TRIGGER_TABLE, *LPCREATE_TRIGGER_TABLE;

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CreateTriggersTest(void);
bool CreateTriggerTable(LPCREATE_TRIGGER_TABLE MyCrTable);

char **GetPrimaryKeys(CSQL *pcSQL, char *sTableName, int *iNumOfKeys);
void FreePrimaryKeys(char **sOutKeys, int iKeys);

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
